Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.acknowledgment
Interface HL7AcknowledgmentInfoInterface

All Known Implementing Classes:
  HL7AcknowledgmentInfo

    public interface HL7AcknowledgmentInfoInterface

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/22 05:44:27 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`java.lang.String` | `getAcknowledgmentLevel()` Returns the acknowledgmentLevel.
`boolean` | `getEGateSendsAppAcks()` Method getEGateSendsAppAcks.
`boolean` | `getForwardExternalAcksToEGate()` Method getForwardExternalAcksToEGate.
`long` | `getTimeoutForDelayedACK()` Method getTimeoutForDelayedACK.
`boolean` | `isApplicationAcknowledgmentLevel()` Method isApplicationAcknowledgmentLevel.
`boolean` | `isCommitAcknowledgmentLevel()` Method isCommitAcknowledgmentLevel.
`boolean` | `isEGateSendsAppAcks()` Method isEGateSendsAppAcks.
`boolean` | `isForwardExternalAcksToEGate()` Method isForwardExternalAcksToEGate.
`void` | `setAcknowledgmentLevel(java.lang.String acknowledgmentLevel)` Sets the acknowledgmentLevel.
`void` | `setApplicationAcknowledgmentLevel()` Method setApplicationAcknowledgmentLevel.
`void` | `setCommitAcknowledgmentLevel()` Method setCommitAcknowledgmentLevel.
`void` | `setEGateSendsAppAcks(boolean b)` Method setEGateSendsAppAcks.
`void` | `setForwardExternalAcksToEGate(boolean b)` Method setForwardExternalAcksToEGate.
`void` | `setTimeoutForDelayedACK(long timeoutForDelayedACK)` Method setTimeoutForDelayedACK.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getAcknowledgmentLevel

    java.lang.String getAcknowledgmentLevel()

  Returns the acknowledgmentLevel.

  Returns:
    String

### setAcknowledgmentLevel

    void setAcknowledgmentLevel(java.lang.String acknowledgmentLevel)
                                throws HL7ApplicationException

  Sets the acknowledgmentLevel.

  Parameters:
    `acknowledgmentLevel` - The acknowledgmentLevel to set
  Throws:
    `HL7ApplicationException`

### isCommitAcknowledgmentLevel

    boolean isCommitAcknowledgmentLevel()
                                        throws HL7ApplicationException

  Method isCommitAcknowledgmentLevel.

  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

### isApplicationAcknowledgmentLevel

    boolean isApplicationAcknowledgmentLevel()
                                             throws HL7ApplicationException

  Method isApplicationAcknowledgmentLevel.

  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

### setCommitAcknowledgmentLevel

    void setCommitAcknowledgmentLevel()
                                      throws HL7ApplicationException

  Method setCommitAcknowledgmentLevel.

  Throws:
    `HL7ApplicationException`

### setApplicationAcknowledgmentLevel

    void setApplicationAcknowledgmentLevel()
                                           throws HL7ApplicationException

  Method setApplicationAcknowledgmentLevel.

  Throws:
    `HL7ApplicationException`

### isEGateSendsAppAcks

    boolean isEGateSendsAppAcks()

  Method isEGateSendsAppAcks.

  Returns:
    boolean

### getEGateSendsAppAcks

    boolean getEGateSendsAppAcks()

  Method getEGateSendsAppAcks.

  Returns:
    boolean

### isForwardExternalAcksToEGate

    boolean isForwardExternalAcksToEGate()

  Method isForwardExternalAcksToEGate.

  Returns:
    boolean

### getForwardExternalAcksToEGate

    boolean getForwardExternalAcksToEGate()

  Method getForwardExternalAcksToEGate.

  Returns:
    boolean

### setEGateSendsAppAcks

    void setEGateSendsAppAcks(boolean b)

  Method setEGateSendsAppAcks.

  Parameters:
    `b` - boolean value to set (true/false).

### setForwardExternalAcksToEGate

    void setForwardExternalAcksToEGate(boolean b)

  Method setForwardExternalAcksToEGate.

  Parameters:
    `b` - boolean value to set (true/false)

### getTimeoutForDelayedACK

    long getTimeoutForDelayedACK()

  Method getTimeoutForDelayedACK.

  Returns:
    long

### setTimeoutForDelayedACK

    void setTimeoutForDelayedACK(long timeoutForDelayedACK)
                                 throws HL7ApplicationException

  Method setTimeoutForDelayedACK.

  Parameters:
    `timeoutForDelayedACK` -
  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD